de.esprit.appsuite.gui.tree

## Class PathTreeDirectoryCreator

- java.lang.Object
- - de.esprit.common.gui.tree.TreeModelListenerAdapter
  - - de.esprit.appsuite.gui.tree.PathTreeNodeSelector
    - - de.esprit.appsuite.gui.tree.AbstractPathTreeNodeCreator
      - - de.esprit.appsuite.gui.tree.PathTreeDirectoryCreator

- All Implemented Interfaces:
    Executable, java.util.EventListener, javax.swing.event.TreeModelListener

      public final class PathTreeDirectoryCreator
      extends AbstractPathTreeNodeCreator

  This adapter creates a new directory in the file-system and afterwards selects it in the tree.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathTreeDirectoryCreator(PathTree tree, java.nio.file.Path newPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createNewPath(java.nio.file.Path newPath)`

    - ### Methods inherited from class de.esprit.appsuite.gui.tree.AbstractPathTreeNodeCreator

      `execute`

    - ### Methods inherited from class de.esprit.appsuite.gui.tree.PathTreeNodeSelector

      `getModel, getPath, treeNodesChanged, treeNodesInserted, treeNodesRemoved`

    - ### Methods inherited from class de.esprit.common.gui.tree.TreeModelListenerAdapter

      `deregister, handleEvent, treeStructureChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathTreeDirectoryCreator

          public PathTreeDirectoryCreator(PathTree tree,
                                  java.nio.file.Path newPath)

  - ### Method Detail

    - #### createNewPath

          protected void createNewPath(java.nio.file.Path newPath)
                                throws java.lang.Exception

      Specified by:
        `createNewPath` in class `AbstractPathTreeNodeCreator`
      Throws:
        `java.lang.Exception`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.